Package com.independentsoft.office.odf.drawing

# Class HyperlinkFrame

java.lang.Object
com.independentsoft.office.odf.drawing.HyperlinkFrame

All Implemented Interfaces:
  `ICellContent`, `IContentElement`, `IIndexContent`, `IParagraphContent`, `ITextContent`

public class HyperlinkFrame extends Object implements ITextContent, IParagraphContent
Represents a drawing shape that should behave as a hyperlink. Enables both frames and drawing shapes to act as hyperlinks.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HyperlinkFrame()`
  Initializes a new instance of the Ellipse class.
  `HyperlinkFrame​(InternalXMLStreamReader reader)`
  Instantiates a new hyperlink frame.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HyperlinkFrame`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getActuate()`
  Gets the actuate.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `Frame`
  `getFrame()`
  Gets the frame.
  `String`
  `getLocation()`
  Gets the target location for the hyperlink.
  `String`
  `getName()`
  Gets the name for a link.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getShow()`
  Gets the show.
  `String`
  `getTargetFrame()`
  Gets the name of a target frame.
  `String`
  `getTitle()`
  Gets a short accessible description.
  `String`
  `getType()`
  Gets the type of the hyperlink.
  `boolean`
  `isServerSideImageMap()`
  Contains that a link returns data to a server side image map.
  `void`
  `setActuate​(String actuate)`
  Sets the actuate.
  `void`
  `setFrame​(Frame frame)`
  Sets the frame.
  `void`
  `setLocation​(String location)`
  Sets the target location for the hyperlink.
  `void`
  `setName​(String name)`
  Sets the name for a link.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setServerSideImageMap​(boolean isServerSideImageMap)`
  Contains that a link returns data to a server side image map.
  `void`
  `setShow​(String show)`
  Sets the show.
  `void`
  `setTargetFrame​(String targetFrame)`
  Sets the name of a target frame.
  `void`
  `setTitle​(String title)`
  Sets a short accessible description.
  `void`
  `setType​(String type)`
  Sets the type of the hyperlink.
  `String`
  `toString()`
  Converts the value of the current HyperlinkFrame object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HyperlinkFrame

    public HyperlinkFrame()
    Initializes a new instance of the Ellipse class.

  - ### HyperlinkFrame

    public HyperlinkFrame​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new hyperlink frame.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public HyperlinkFrame clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IIndexContent`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `ITextContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current HyperlinkFrame object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name for a link. The name can serve as a target for other hyperlinks. The name does not have to be unique.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name for a link. The name can serve as a target for other hyperlinks. The name does not have to be unique.
    Parameters:
      `name` - the new name

  - ### getLocation

    public String getLocation()
    Gets the target location for the hyperlink.
    Returns:
      the location

  - ### setLocation

    public void setLocation​(String location)
    Sets the target location for the hyperlink.
    Parameters:
      `location` - the new location

  - ### getType

    public String getType()
    Gets the type of the hyperlink.
    Returns:
      the type

  - ### setType

    public void setType​(String type)
    Sets the type of the hyperlink.
    Parameters:
      `type` - the new type

  - ### getShow

    public String getShow()
    Gets the show.
    Returns:
      the show

  - ### setShow

    public void setShow​(String show)
    Sets the show.
    Parameters:
      `show` - the new show

  - ### getActuate

    public String getActuate()
    Gets the actuate.
    Returns:
      the actuate

  - ### setActuate

    public void setActuate​(String actuate)
    Sets the actuate.
    Parameters:
      `actuate` - the new actuate

  - ### getTargetFrame

    public String getTargetFrame()
    Gets the name of a target frame.
    Returns:
      the target frame

  - ### setTargetFrame

    public void setTargetFrame​(String targetFrame)
    Sets the name of a target frame.
    Parameters:
      `targetFrame` - the new target frame

  - ### getTitle

    public String getTitle()
    Gets a short accessible description.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets a short accessible description.
    Parameters:
      `title` - the new title

  - ### isServerSideImageMap

    public boolean isServerSideImageMap()
    Contains that a link returns data to a server side image map.
    Returns:
      true, if is server side image map

  - ### setServerSideImageMap

    public void setServerSideImageMap​(boolean isServerSideImageMap)
    Contains that a link returns data to a server side image map.
    Parameters:
      `isServerSideImageMap` - the new server side image map

  - ### getFrame

    public Frame getFrame()
    Gets the frame.
    Returns:
      the frame

  - ### setFrame

    public void setFrame​(Frame frame)
    Sets the frame.
    Parameters:
      `frame` - the new frame